# Initializing Nosto

Nosto is initialized automatically once the script has loaded. Unlike the legacy script, you do not need to manually initialize Nosto.

## Disabling Autoloading

In the event that you would like to initialize Nosto but not have it automatically load the recommendations, you can set `setAutoLoad` to false.

```javascript
nostojs(api => api.setAutoLoad(false));
```

*Also see*: [Setting up](/techdocs/apis/frontend/implementation-guide-session-api/spa-basics-setting-up.md) for how to first include the script stub that allows API usage in this manner.

*Note:* You will need to manually load the recommendations when the autoloading is disabled. A recommendation request needs to be sent in order to track user events. So, if autoloading is disabled and you wish to track an order or cart changes, you need to send a recommendation request even if you don't wish to display recommendations on the page.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nosto.com/techdocs/apis/frontend/js-apis/initializing-nosto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
